%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

# This package is needed to build lwt, which is used to build ounit, but this
# package needs ounit to run its tests.  Break the dependency cycle here.
%bcond_with test

Name:       ocaml-re
Version:    1.13.3
Release:    %mkrel 2
Summary:    Regular expression library for OCaml
License:    LGPL-2.1
Group:      Development/OCaml
URL:        https://github.com/ocaml/ocaml-re
Source0:        https://github.com/ocaml/%{name}/archive/%{version}/ocaml-re-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros

%if %{with test}
BuildRequires:  ocaml-ounit-devel
%endif

Patch:          ocaml-re-remove-seq.patch

%description
RE is regular expression library for OCaml.
It is still under development, but is already rather usable.
The following styles of regular expressions are supported:
 * Perl-style regular expressions (module Re_perl);
 * Posix extended regular expressions (module Re_posix);
 * Emacs-style regular expressions (module Re_emacs);
 * Shell-style file globbing (module Re_glob).

It is also possible to build regular expressions by combining simpler
regular expressions (module Re).

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%autosetup -p1

# Fix the ounit name
sed -i 's/oUnit/ounit2/' lib_test/fort_unit/dune

%build
%dune_build

%install
%dune_install

%if %{with test}
%check
%dune_check
%endif
 
%files -f .ofiles
%doc CHANGES.md
%doc README.md
%license LICENSE.md
 
%files devel -f .ofiles-devel



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.13.3-2.mga10
+ Revision: 2250578
- Mageia 10 Mass Rebuild

* Thu Apr 03 2025 pterjan <pterjan> 1.13.3-1.mga10
+ Revision: 2173277
- Fix build on non native architectures
- Update to 1.13.3

* Thu May 19 2022 pterjan <pterjan> 1.10.3-3.mga9
+ Revision: 1859110
- Rebuild for OCaml 4.14

* Wed Mar 30 2022 umeabot <umeabot> 1.10.3-2.mga9
+ Revision: 1833674
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.10.3-1.mga9
+ Revision: 1750967
- 1.10.3

* Thu Mar 04 2021 tv <tv> 1.9.0-6.mga9
+ Revision: 1697939
- Disable %%check as it needs oUnit which means circular build deps
- explicitely build using dune
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.9.0-5.mga8
+ Revision: 1670671
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.9.0-4.mga8
+ Revision: 1551495
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.9.0-3.mga8
+ Revision: 1545734
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1.9.0-2.mga8
+ Revision: 1485145
- enable seq support (needs rebuilding depending pkgs...)

* Wed Jan 22 2020 tv <tv> 1.9.0-1.mga8
+ Revision: 1482175
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.7.3-3.mga7
+ Revision: 1324404
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.7.3-2.mga7
+ Revision: 1299922
- Mageia 7 Mass Rebuild

* Wed Aug 22 2018 daviddavid <daviddavid> 1.7.3-1.mga7
+ Revision: 1253353
- new version: 1.7.3
- switch to jbuilder

* Sun Nov 26 2017 tv <tv> 1.7.1-1.mga7
+ Revision: 1179337
- new release
- rebuild for new ocaml

* Mon Feb 22 2016 pterjan <pterjan> 1.5.0-1.mga6
+ Revision: 976183
- Update to 1.5.0

* Mon Feb 01 2016 pterjan <pterjan> 1.4.1-1.mga6
+ Revision: 930862
- Fix BuildRequires
- Update to 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 742557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 683093
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.2.2-1.mga5
+ Revision: 673935
- update to 1.2.2

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 534911
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 blue_prawn <blue_prawn> 1.2.1-2.mga4
+ Revision: 480188
- rebuild for ocaml-4.01.0

* Sat May 25 2013 blue_prawn <blue_prawn> 1.2.1-1.mga4
+ Revision: 427686
- updated to last version 1.2.1

* Wed Apr 03 2013 blue_prawn <blue_prawn> 1.2.0-1.mga3
+ Revision: 407534
- imported package ocaml-re

